summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2016-10-13 17:48:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-14 06:51:59 +0700
commit0ee1533429361a934be34eb385ee85c01777f344 (patch)
treea6a3a9395556fb3f22692d1b3fb1abc30dfda1a1 /accessibility
parent25eaceec8119be4753c34c9d913870811f0fb006 (diff)
downloadslackbuilds-0ee1533429361a934be34eb385ee85c01777f344.tar.gz
slackbuilds-0ee1533429361a934be34eb385ee85c01777f344.tar.xz
accessibility/unclutter-xfixes: Added (X11 tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/unclutter-xfixes/README20
-rw-r--r--accessibility/unclutter-xfixes/slack-desc19
-rw-r--r--accessibility/unclutter-xfixes/unclutter-xfixes.SlackBuild73
-rw-r--r--accessibility/unclutter-xfixes/unclutter-xfixes.info10
4 files changed, 122 insertions, 0 deletions
diff --git a/accessibility/unclutter-xfixes/README b/accessibility/unclutter-xfixes/README
new file mode 100644
index 0000000000..c28fe9f505
--- /dev/null
+++ b/accessibility/unclutter-xfixes/README
@@ -0,0 +1,20 @@
+unclutter-xfixes (x11 tool for removing mouse clutter from the screen)
+
+Hides the mouse pointer when the mouse isn't moving.
+
+This is a rewrite of the popular tool unclutter, but using the x11-xfixes
+extension. This means that this rewrite doesn't use fake windows or
+pointer grabbing and hence causes less problems with window managers
+and/or applications.
+
+Notes:
+
+- The binary is called unclutter, not unclutter-xfixes.
+
+- This build conflicts with the regular unclutter build. Only one should
+ be installed, either unclutter or unclutter-xfixes.
+
+- The usual way to start unclutter is from ~/.xinitrc.
+
+- The options are different (--timeout and --jitter, not -idle and
+ -jitter), make sure you read the man page.
diff --git a/accessibility/unclutter-xfixes/slack-desc b/accessibility/unclutter-xfixes/slack-desc
new file mode 100644
index 0000000000..51076aaea3
--- /dev/null
+++ b/accessibility/unclutter-xfixes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+unclutter-xfixes: unclutter-xfixes (x11 tool for removing mouse clutter)
+unclutter-xfixes:
+unclutter-xfixes: Hides the mouse pointer when the mouse isn't moving.
+unclutter-xfixes:
+unclutter-xfixes: This is a rewrite of the popular tool unclutter, but using the
+unclutter-xfixes: x11-xfixes extension. This means that this rewrite doesn't use fake
+unclutter-xfixes: windows or pointer grabbing and hence causes less problems with
+unclutter-xfixes: window managers and/or applications.
+unclutter-xfixes:
+unclutter-xfixes:
+unclutter-xfixes:
diff --git a/accessibility/unclutter-xfixes/unclutter-xfixes.SlackBuild b/accessibility/unclutter-xfixes/unclutter-xfixes.SlackBuild
new file mode 100644
index 0000000000..3dd37001d2
--- /dev/null
+++ b/accessibility/unclutter-xfixes/unclutter-xfixes.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for unclutter-xfixes
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=unclutter-xfixes
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# SBo libev has event.h in nonstandard dir
+sed -i "/-Wall/s,\$, $SLKCFLAGS -I/usr/include/libev," Makefile
+
+# note non-standard use of PREFIX here!
+make
+make install PREFIX=$PKG/usr/bin MANDIR=$PKG/usr/man/man1
+strip $PKG/usr/bin/*
+gzip $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/unclutter-xfixes/unclutter-xfixes.info b/accessibility/unclutter-xfixes/unclutter-xfixes.info
new file mode 100644
index 0000000000..8fdf8c0732
--- /dev/null
+++ b/accessibility/unclutter-xfixes/unclutter-xfixes.info
@@ -0,0 +1,10 @@
+PRGNAM="unclutter-xfixes"
+VERSION="1.2"
+HOMEPAGE="https://github.com/Airblader/unclutter-xfixes"
+DOWNLOAD="https://github.com/Airblader/unclutter-xfixes/archive/v1.2.tar.gz"
+MD5SUM="b586db65d3601688ea0580aa087177e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libev"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"